spring:
  application:
    name: xt-ems-api
  profiles:
    active: dev
  zipkin:
    base-url: http://${ZIPKIN_HOST:localhost}:9411
  sleuth:
    sampler:
      #默认值为0.1f，现在为了测试设置100%采集
      percentage: 1.0
  cloud:
    config:
      fail-fast: true
      discovery:
        enabled: true
        service-id: config-server
    bus:
      trace:
        enabled: false
      enabled: false
#feign的超时时间
feign:
  httpclient:
    # 让feign使用Apache HTTPClient做请求，而不是默认的urlConnection
    enabled: true
    # feign最大连接数
    max-connections: 200
    # feign单个路径的最大连接数
    max-connections-per-route: 50
  client:
    config:
      default:
        connectTimeout: 5000
        readTimeout: 10000
        loggerLevel: basic
server:
  port: ${SERVER_PORT:8086}
  tomcat:
    basedir: ${user.home}/tomcat/tmp
eureka:
  client:
    serviceUrl:
      defaultZone: http://root:root@${EUREKA_HOST:172.16.90.225}:${EUREKA_PORT:8086}/eureka/
    metadata-map:
      cluster: ribbon
  instance:
    hostname: xt-ems-api
    status-page-url: http://${SWAGGER_INDEX:localhost:9003}/swagger-ui.html
    prefer-ip-address: true
    instance-id: ${spring.cloud.client.ip-address}:${server.port}
#禁止调用eureka client获取注册列表信息
ribbon:
  eureka:
    enabled: true
#新版配置，否则后面dashboard无法找到hystrix.stream
management:
  endpoints:
    web:
      exposure:
        include: '*'